/*************************************************************************\
* Copyright (c) 2000-2004 The University of Chicago, as Operator of Argonne
* National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
// Header file for COptions class

#include "histTool.h"

#ifndef _INC_COPTIONS_H
#define _INC_COPTIONS_H

class COptions
{
  public:
    COptions(void);
    COptions(
      int binModeIn,
      double binUserMinIn,
      double binUserMaxIn,
      int nBinsIn,
      unsigned binUpdatePeriodIn,
      int axisModeIn,
      double axisXMinIn,
      double axisXMaxIn);
    ~COptions(void);
    int read(void);
    int write(void);

  private:
    int findInitFile(void);
    
  public:
    int binMode;
    double binUserMin;
    double binUserMax;
    int nBins;
    unsigned binUpdatePeriod;  // ms
    int axisMode;
    double axisXMin;
    double axisXMax;
    char initFilename[PATH_MAX];
};

#endif // _INC_COPTIONS_H
